Rhino.Display.DefinedViewportProjection

python

#1

Hi,

Don’t know if this is at all right/possible but, can someone help me to get Rhino.Display.RhinoViewport object from Rhino.Display.DefinedViewportProjection.Back

The code is to be used for Rhino.Geometry.HiddenLineDrawingParameters() but my code is messed up at the moment trying to figure it out, so I would not like to upload it here =)

Please say if you need more information about this.

Best regards


#2

I presume you are a young person for whom this type of language is considered appropriate, but there’s lot’s of older folks on the forum who find it offensive and an indication of poor breeding. Please try to stay with more universally acceptable terminology in your posts.

Thank you.


#3

Oh, sorry for the bad language.
Been trying to fix this problem for long time, and started to realize that I won’t get it to work.
Instead of pointing out the bad language you might want to help me out instead???

Best regards


#4

I’m sorry, but on this particular issue I’m not your guy. You will probably get several useful replies from people who are, though. Perhaps @nathanletwory or @dale.


(Dale Fugier) #5

I’m not sure this is what you are looking for…

var view = doc.Views.ActiveView;
if (null != view)
{
  view.ActiveViewport.SetProjection(DefinedViewportProjection.Back, "Back", true);
  view.Redraw();
}

– Dale


#6

Hi Dale,

Me neither =)
The thing I’m trying to accomplice is a modifyed version of the new make2D.
I want to have views Top,Left,Right,Front,Back.
But I want to have them aligned/rotated to Top view in european version(First angle projection)

I think I will have to start over from another point of view.
Thanks for your comment, Hopefully it will come in handy.
Best regards

image
image

@GregArden Is this something that I might wish for? =) =) =) =)